Bug 844674 - Review Request: python-swiftclient - Python API and CLI for OpenStack Swift
Review Request: python-swiftclient - Python API and CLI for OpenStack Swift
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kashyap Chamarthy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 07:20 EDT by Alan Pevec
Modified: 2012-10-05 06:56 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-swiftclient-1.1.1-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-02 09:54:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kchamart: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alan Pevec 2012-07-31 07:20:08 EDT
Spec URL: http://apevec.fedorapeople.org/python-swiftclient.spec
SRPM URL: http://apevec.fedorapeople.org/python-swiftclient-1.1.1-1.fc16.src.rpm
Description: Client library and command line utility for interacting with Openstack Swift's API.

Fedora Account System Username: apevec

rpmlint output:
python-swiftclient.noarch: W: no-manual-page-for-binary swift
=> not present upstream, will work on it there
Comment 1 Kashyap Chamarthy 2012-08-01 03:23:30 EDT
Hi,

I didn't realize the package was already 'ASSIGNED' for review till the end. Anyhow, posting my review comments here, fwiw.

OK - rpmlint output. I think the below Error can be safely ignored.
#-------------------------------------------------------------------------#
kashyap@SPECS$ rpmlint python-swiftclient.spec ../SRPMS/python-swiftclient-1.1.1-1.fc16.src.rpm ../RPMS/noarch/python-swiftclient-*
python-swiftclient.noarch: W: no-manual-page-for-binary swift
3 packages and 1 specfiles checked; 0 errors, 1 warnings.
#-------------------------------------------------------------------------#

OK - The sources used to build the package must match the upstream source, as
provided in the spec URL.
OK - %{?dist} tag is used in release
OK - The package must be named according to the Package Naming Guidelines.
OK - The spec file name must match the base package %{name}
OK - The package must meet the Packaging Guidelines

OK - The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines (license is ASL 2.0)

NA - Every binary RPM package which stores shared library files must
call ldconfig in %post and %postun
OK - The package MUST successfully compile and build. (It does build)
OK - The spec file must be written in American English.
OK - The spec file for the package MUST be legible
OK - The sources used to build the package must match the upstream source, as
provided in the spec URL:
#-------------------------------------------------------------------------#
kashyap@SOURCES$ sha256sum python-swiftclient-1.1.1.tar.gz 
73e8a1c0bb7354b7c0af5891f2fdf7b4fe9734ddc7fd38edb531c9ebdca350bc  python-swiftclient-1.1.1.tar.gz
kashyap@SOURCES$ sha256sum python-swiftclient-1.1.1.tar.gz-from-upstream 
73e8a1c0bb7354b7c0af5891f2fdf7b4fe9734ddc7fd38edb531c9ebdca350bc  python-swiftclient-1.1.1.tar.gz-from-upstream
kashyap@SOURCES$ 
#-------------------------------------------------------------------------#


OK - Successfully koji scratch build:
#-------------------------------------------------------------------------#
kashyap@SPECS$ koji build --scratch f18 ../SRPMS/python-swiftclient-1.1.1-1.fc16.src.rpm 
Uploading srpm: ../SRPMS/python-swiftclient-1.1.1-1.fc16.src.rpm
[====================================] 100% 00:00:02  49.67 KiB  22.48 KiB/sec
Created task: 4347259
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=4347259
Watching tasks (this may be safely interrupted)...
4347259 build (f18, python-swiftclient-1.1.1-1.fc16.src.rpm): open (buildvm-29.phx2.fedoraproject.org)
  4347260 buildArch (python-swiftclient-1.1.1-1.fc16.src.rpm, noarch): free
  4347260 buildArch (python-swiftclient-1.1.1-1.fc16.src.rpm, noarch): free -> open (buildvm-25.phx2.fedoraproject.org)
  4347260 buildArch (python-swiftclient-1.1.1-1.fc16.src.rpm, noarch): open (buildvm-25.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
4347259 build (f18, python-swiftclient-1.1.1-1.fc16.src.rpm): open (buildvm-29.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

4347259 build (f18, python-swiftclient-1.1.1-1.fc16.src.rpm) completed successfully
#-------------------------------------------------------------------------#

NA - The spec file MUST handle locales properly (no translations)
NA - The package is not relocatable
OK - A package must own all directories that it creates
OK - A Fedora package must not list a file more than once in the spec file's
%files listings
OK - Permissions on files must be set properly
OK - Each package must have a %clean section  (This is taken care of from F13+ automatically)
OK - Each package must consistently use macros
OK - The package must contain code, or permissible content 
OK - Large documentation files must go in a -doc subpackage  (documentation goes into the subpackge 'python-swiftclient-doc-1.1.1-1.fc16.noarch.rpm')
OK - If a package includes something as %doc, it must not affect the runtime of
the application
NA - Header files must be in a -devel package -- no devel package
NA - Static libraries must be in a -static package -- no static package
NA - Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
OK - Packages must NOT contain any .la libtool archives
NA - Packages containing GUI applications MUST include a .desktop file 
OK - No file conflicts with other packages and no general names.


OK - All file names in rpm packages must be valid UTF-8
OK - The package does not yet exist in Fedora. The Review Request is not a
duplicate.
#-------------------------------------------------------------------------#

Looks good to me.
Comment 2 Steven Dake 2012-08-01 09:55:01 EDT
Kashyap,

Since you have provided a review, click the "take" button and take over review.

Regards
-steve
Comment 3 Kashyap Chamarthy 2012-08-01 10:12:56 EDT
Done. 
Also turned the fedora-review flag to +
Comment 4 Alan Pevec 2012-08-02 06:25:44 EDT
New Package SCM Request
=======================
Package Name: python-swiftclient
Short Description: Client library and command line utility for interacting with Openstack Swift's API.
Owners: apevec zaitcev
Branches: 
InitialCC: pbrady
Comment 5 Gwyn Ciesla 2012-08-02 08:26:02 EDT
Git done (by process-git-requests).
Comment 6 Alan Pevec 2012-10-05 06:40:19 EDT
Package Change Request
======================
Package Name: python-swiftclient
New Branches: el6
Owners: apevec zaitcev
InitialCC: pbrady
Comment 7 Gwyn Ciesla 2012-10-05 06:56:12 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.